Page MenuHomePhabricator

Exception from line 78 of /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/includes/MetaStore/MetaSaneitizeJobStore.php: Wrong document type
Closed, ResolvedPublic

Description

Spotted on group0 after the php-1.32.0-wmf.999 branch rolled out to group0 last night.
All occurrences appear to be coming from terbium.
An example in logstash: https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.06.15/mediawiki/?id=AWQCfpuGoOODFPKvnRn0

Stacktrace:

[{exception_id}] {exception_url}   Exception from line 78 of /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/includes/MetaStore/MetaSaneitizeJobStore.php: Wrong document type

#0 /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/maintenance/saneitizeJobs.php(395): CirrusSearch\MetaStore\MetaSaneitizeJobStore->update(Elastica\Document)
#1 /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/maintenance/saneitizeJobs.php(294): CirrusSearch\Maintenance\SaneitizeJobs->updateJob(Elastica\Document)
#2 /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/maintenance/saneitizeJobs.php(84): CirrusSearch\Maintenance\SaneitizeJobs->pushJobs()
#3 /srv/mediawiki/php-1.32.0-wmf.999/maintenance/doMaintenance.php(94): CirrusSearch\Maintenance\SaneitizeJobs->execute()
#4 /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/maintenance/saneitizeJobs.php(458): include(string)
#5 /srv/mediawiki/multiversion/MWScript.php(100): include(string)
#6 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2018, 9:08 AM
Addshore updated the task description. (Show Details)Jun 15 2018, 9:09 AM

Change 441004 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Fix MetaStore creation and sanitize job type name

https://gerrit.wikimedia.org/r/441004

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJun 19 2018, 11:36 AM
dcausse claimed this task.
dcausse moved this task from in progress to Needs review on the Discovery-Search (Current work) board.

Change 441004 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Fix Sanitizer MetaStore integration

https://gerrit.wikimedia.org/r/441004

Vvjjkkii renamed this task from Exception from line 78 of /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/includes/MetaStore/MetaSaneitizeJobStore.php: Wrong document type to puaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed dcausse as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to dcausse.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from puaaaaaaaa to Exception from line 78 of /srv/mediawiki/php-1.32.0-wmf.999/extensions/CirrusSearch/includes/MetaStore/MetaSaneitizeJobStore.php: Wrong document type.
CommunityTechBot added subscribers: gerritbot, Aklapper.
debt closed this task as Resolved.Jul 9 2018, 11:43 PM
debt added a subscriber: debt.

Closing this, it'll go out with this week's train